Skip to main content
GET
/
subscriptions
List subscriptions
curl --request GET \
  --url https://api.shoppex.io/dev/v1/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "shop_id": "<string>",
      "product_id": "<string>",
      "status": "PENDING",
      "gateway": "<string>",
      "origin": "<string>",
      "customer_id": "<string>",
      "payment_link_id": "<string>",
      "stripe_subscription_id": "<string>",
      "paypal_subscription_id": "<string>",
      "coupon_id": "<string>",
      "current_period_end": 123,
      "renewal_invoice_created": true,
      "trial_period_ending_email_sent": true,
      "upcoming_email_1_week_sent": true,
      "status_details": "<string>",
      "cancel_reason_id": 123,
      "cancel_reason_comment": "<string>",
      "created_at": 123,
      "updated_at": 123,
      "canceled_at": 123,
      "custom_fields": null
    }
  ],
  "pagination": {
    "next_cursor": "<string>",
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

Use your API key with the Bearer scheme. Get your key from Dashboard → Settings → API Keys. Format: Authorization: Bearer shx_...

Query Parameters

cursor
string

Pagination cursor

limit
number

Number of items to return (default: 50, max: 100)

Required range: 1 <= x <= 100
status
enum<string>

Filter by subscription status

Available options:
PENDING,
CANCELED,
TRIALING,
ACTIVE,
CANCELLED

Response

Default Response

data
object[]
required
pagination
object
required